Skip to content

Statement⁠

Perform various operations for Symitar parameters.

Operations⁠

getStatementSelectFields⁠

POST

Execute the persistent ParameterService getStatementSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getStatementSelectFields
POST /nexum/627/persistent/parameter/getStatementSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "SelectableFields": {
    "IncludeAllStatementFields": true,
    "StatementFields": {
      "AccountTrackingTypes": true,
      "Ach": true,
      "AchTransactions": true,
      "AdditionalPrincipal": true,
      "AmtDueExpDateStmtMsgCode": [
        0
      ],
      "Atm": true,
      "AtmSummaryLoanTypes": true,
      "AtmSummaryShareTypes": true,
      "AudioResponse": true,
      "AvailBalTransfer": true,
      "AvailCashAdvance": true,
      "AvailCombinedCaBt": true,
      "BalTransferLimit": true,
      "BeginPromoBal": [
        0
      ],
      "BeginRegularBal": true,
      "BeginningBalance": true,
      "BillFeeAmount": true,
      "BillPayment": true,
      "Bulk": true,
      "CardTypesinTranHistory": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

updateStatementByID⁠

POST

Execute the persistent ParameterService updateStatementByID operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/updateStatementByID
POST /nexum/627/persistent/parameter/updateStatementByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "StatementFields": {
    "AccountTrackingTypes": "string",
    "Ach": "string",
    "AchTransactions": "string",
    "AdditionalPrincipal": "string",
    "AmtDueExpDateStmtMsgCode": [
      {
        "EntryId": 0,
        "AmtDueExpDateStmtMsgCode": "string"
      }
    ],
    "Atm": "string",
    "AtmSummaryLoanTypes": "string",
    "AtmSummaryShareTypes": "string",
    "AudioResponse": "string",
    "AvailBalTransfer": "string",
    "AvailCashAdvance": "string",
    "AvailCombinedCaBt": "string",
    "BalTransferLimit": "string",
    "BeginPromoBal": [
      {
        "EntryId": 0,
        "BeginPromoBal": "string"
      }
    ],
    "BeginRegularBal": "string",
    "BeginningBalance": "string",
    "BillFeeAmount": "string",
    "BillPayment": "string",
    "Bulk": "string",
    "CardTypesinTranHistory": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}